## org.apache.lucene.spatial.geometry
Class CartesianPoint

    java.lang.Object
      org.apache.lucene.spatial.geometry.CartesianPoint

    public class CartesianPoint

extends Object

Represents lat/lngs as fixed point numbers translated so that all world coordinates are in the first quadrant. The same fixed point scale as is used for FixedLatLng is employed.

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`CartesianPoint(int x, int y)`

Method Summary
`boolean` `equals(Object obj)`
`int` `getX()`
`int` `getY()`
`int` `hashCode()`
`String` `toString()`
`CartesianPoint` `translate(int deltaX, int deltaY)` Return a new point translated in the x and y dimensions

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CartesianPoint

    public CartesianPoint(int x,
                          int y)

Method Detail

### getX

    public int getX()

### getY

    public int getY()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### translate

    public CartesianPoint translate(int deltaX,
                                    int deltaY)

  Return a new point translated in the x and y dimensions

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.